diff options
author | 2019-10-14 14:28:28 +0200 | |
---|---|---|
committer | 2019-10-14 14:30:05 +0200 | |
commit | 7bec6ec69c804dd62486f153cd75693b015cf502 (patch) | |
tree | 3bbbc18c28aff0ef6a9accca0a6b2b934efef8e6 /build-one.bash | |
parent | kernels: add version hashes for remaining pixels (diff) | |
download | android-wireguard-module-builder-7bec6ec69c804dd62486f153cd75693b015cf502.tar.xz android-wireguard-module-builder-7bec6ec69c804dd62486f153cd75693b015cf502.zip |
build: skip incomplete kernel specifications
This should be reverted once "kernels: add version hashes for remaining
pixels" is completed.
Diffstat (limited to 'build-one.bash')
-rwxr-xr-x | build-one.bash | 1 |
1 files changed, 1 insertions, 0 deletions
diff --git a/build-one.bash b/build-one.bash index 3844271..4617ad2 100755 --- a/build-one.bash +++ b/build-one.bash @@ -5,6 +5,7 @@ set -ex BASE="$(readlink -f "$(dirname "$(readlink -f "$0")")")" KERNEL_DIR="$BASE/kernels/$1" [[ -d $KERNEL_DIR ]] || { echo "Error: '$0' does not exist" >&2; exit 1; } +[[ -f $KERNEL_DIR/do.bash && -f $KERNEL_DIR/manifest.xml && -f $KERNEL_DIR/version-hashes.txt ]] || { echo "WARNING: skipping $1, because missing files" >&2; exit 0; } # Step 1) Account for already built modules by hard linking new hashes to the old names. first="" |